Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 345801 - app-text/kbibtex-0.3.0_pre20100222 - error when creating new file
Summary: app-text/kbibtex-0.3.0_pre20100222 - error when creating new file
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: High major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 21:10 UTC by Waldemar Szostak
Modified: 2011-01-02 13:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Waldemar Szostak 2010-11-16 21:10:00 UTC
When I try to create a new file ('New' button), an error window apears "No part available for file 'x-bibtex'".

Reproducible: Always

Steps to Reproduce:
1.Launch the application
2. Click 'New' button (or select 'New' from 'File' menu)


Actual Results:  
error message displayed

Expected Results:  
create new file?
Comment 1 Waldemar Szostak 2010-11-16 21:18:21 UTC
app-text/kbibtex-0.3.0_pre20100222

-------------
emerge --info
Portage 2.1.9.24 (default/linux/amd64/10.0, gcc-4.4.5, glibc-2.12.1-r3, 2.6.36-gentoo x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.0.1
Timestamp of tree: Mon, 15 Nov 2010 22:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r2
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.4
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4
sys-devel/make:      3.82
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)                                                           
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                                   
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 skype-eula dlj-1.1 PUEL"                                                
CBUILD="x86_64-pc-linux-gnu"                                                                                     
CFLAGS="-march=amdfam10 -funroll-loops -O2 -pipe"                                                                
CHOST="x86_64-pc-linux-gnu"                                                                                      
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -funroll-loops -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.telcom.net.ua/ http://gentoo.tiscali.nl/ http://gentoo.mneisen.org/ http://gentoo.wheel.sk/"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 bash-completion bzip2 cairo cdda cddax cddb cdio cdparanoia cdr chm cli consolekit cracklib crypt cups curl custom-cflags custom-cpuopts custom-optimization cxx dbus dirac directfb djavu dts dvd dvdr ebook enca encode exif fbcon fbcondecor ffmpeg firefox firefox3 flac fortran gadu gdbm gnutls gpm hal hddtemp iconv id3tag ieee1394 jabber jack java java6 javascript jingle jpeg kate kde laptop latex lcdfilter libass libnotify libtiger lm_sensors lzma matroska minimal mmx mmxext mng modules mp3 mp4 mpeg mtp mudflap multilib musepack mysql ncurses nls nptl nptlonly nsplugin ntp nvidia ogg opengl openmp pam pcre pdf perl plasma png policykit pppd pvr python qt-static qt3 qt3support qt4 rar rdp readline rtsp schroedinger session skype smp spell sse sse2 ssl ssse3 startup-notification svg sysfs syslog tcpd theora threads thumbnail tiff truetype twolame udev unicode upnp usb vaapi vcd vcdinfo vcdx vim-syntax vnc vorbis win64 wmf xcb xcomposite xine xinerama xorg xosd xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 2 Andreas K. Hüttel gentoo-dev 2011-01-01 21:34:02 UTC
Confirmed for app-text/kbibtex-0.3.0_pre20100222 on kde-4.5.4

In addition the following message appears on the console:

huettel@bellini ~ $ kbibtex 
kbibtex(13450): Cannot find part for mimetype  "application/octet-stream" 

kbibtex(13450): Cannot find part for mimetype  "application/octet-stream" 

kbibtex(13450): Cannot find part for mimetype  "application/octet-stream" 
Comment 3 Andreas K. Hüttel gentoo-dev 2011-01-02 08:22:15 UTC
Fixed in kbibtex-0.3.0_pre20110102 - please update
Comment 4 Waldemar Szostak 2011-01-02 13:45:35 UTC
Fixed indeed. Thanks.